tomboy: error saving note data

Bug #513945 reported by Andreas Jonsson on 2010-01-28
42
This bug affects 8 people
Affects Status Importance Assigned to Milestone
tomboy (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: tomboy

I'm running up-to-date Ubuntu Karmic. This bug started occurring a few days ago.

Whenever I create a new or open an old note in tomboy, a pop-up error message warns:

"Error saving note data. An error occurred while saving your notes. Please check that you have sufficient disk space...". See attached screenshot.

I have plenty of free disk space so that shouldn't be a problem. A new error message pops up every minute or so, essentially making tomboy impossible to use.

I have noticed in ~/.local/share/tomboy that notes are stored in a format typically looking like this:

f52b0f81-b54a-4d44-8629-e72dc854a2d2.note

but the note currently open (and causing the problem described above) will only have two two backup versions, one ending with "~" and on ending with ".tmp", e.g.

f52b0f81-b54a-4d44-8629-e72dc854a2d2.note~
f52b0f81-b54a-4d44-8629-e72dc854a2d2.note.tmp

Over the past several days a few notes have been lost, simply disappeared from my system.

Tomboy panel log (.config/tomboy/tomboy-panel.log) reports

[ERROR]: Exception while saving note: System.IO.IOException: Sharing violation on path /home/user/.local/share/tomboy/a3e6005a-3897-43c6-a217-92781d572707.note
  at System.IO.File.Move (System.String sourceFileName, System.String destFileName) [0x00000]
  at Tomboy.NoteArchiver.WriteFile (System.String write_file, Tomboy.NoteData note) [0x00000]
  at Tomboy.NoteArchiver.Write (System.String write_file, Tomboy.NoteData note) [0x00000]
  at Tomboy.Note.Save () [0x00000]

ProblemType: Bug
Architecture: i386
Date: Thu Jan 28 14:14:14 2010
DistroRelease: Ubuntu 9.10
Package: tomboy 1.0.0-0ubuntu2
ProcEnviron:
 PATH=(custom, user)
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
SourcePackage: tomboy
Uname: Linux 2.6.31-17-generic i686

Andreas Jonsson (sonofjon) wrote :

Have you checked the permissions on ~/.local/share/tomboy and the *.note files that it contains? It sounds like your permissions are messed up.

Thanks for the feedback.

Yes I have looked at the permissions and they look OK to me, see below:

andreas@xxx:~$ ls -l ~/.local/share/ | grep tomboy
drwxr-xr-x 3 andreas andreas 12288 2010-01-30 12:37 tomboy
andreas@xxx:~$ ls -l ~/.local/share/tomboy/ | head
total 672
-rw-r--r-- 1 andreas andreas 806 2009-10-01 21:51
008d481a-e9d8-42a4-9252-c4b161e72b4e.note
-rw-r--r-- 1 andreas andreas 4955 2009-12-15 17:05
00a646e8-932b-4ee0-b50e-38806a2ac8a5.note
-rw-r--r-- 1 andreas andreas 3228 2010-01-27 00:52
01f37cf7-9d5e-45b9-83ac-f3a402473361.note
-rw-r--r-- 1 andreas andreas 6500 2009-11-29 19:58
06f4a29a-ad94-4809-9e11-df50f2af6800.note
-rw-r--r-- 1 andreas andreas 979 2009-10-01 21:51
0831873e-808c-47ef-945e-f9ada2a4b21d.note
-rw-r--r-- 1 andreas andreas 1108 2009-12-10 10:50
08abf575-656f-4698-8604-79f9cca90850.note
-rw-r--r-- 1 andreas andreas 24119 2010-01-30 11:53
0956cdcb-f5bf-4833-88fd-ee0de272c08c.note
-rw-r--r-- 1 andreas andreas 14972 2010-01-22 03:46
0b54d8ad-60ed-4de5-814d-23c7e46a5024.note
-rw-r--r-- 1 andreas andreas 860 2009-10-01 21:51
0b579927-051a-47f1-83f2-f16ec79b6144.note

Very strange. Is it possible that you have two Tomboy processes running?

Andreas Jonsson (sonofjon) wrote :

I can't reproduce the problem at the moment. I'll post again when and
if it reappears.

Thanks for your time.

Andreas Jonsson (sonofjon) wrote :

The problem has come back after being absent for about two weeks. I get the same error pop-up as mentioned above saying that I have run out of disc space or that I don't have sufficient rights to ~/.tomboy. Message reappears every minute or so.

However, I do have available disc space:

~$ df | grep /home
/dev/sda6 58980508 53915424 2068964 97% /home

And I do have appropriate permissions

~$ ls -l ~/.local/share/ | grep tomboy
drwxr-xr-x 3 andreas andreas 12288 2010-02-16 15:05 tomboy

~$ ls -al | grep tomboy
drwxr-xr-x 6 andreas andreas 12288 2009-10-01 21:52 .tomboy
-rw-r--r-- 1 andreas andreas 5436 2009-10-01 21:48 .tomboy.log

And I don't have two tomboy processes running:

~$ ps -ef | grep tomboy
andreas 2766 1 0 13:09 ? 00:00:00 bash /usr/bin/tomboy-panel --oaf-activate-iid=OAFIID:TomboyApplet_Factory --oaf-ior-fd=37
andreas 2769 2766 0 13:09 ? 00:00:09 mono /usr/lib/tomboy/Tomboy.exe --sm-disable --panel-applet --oaf-activate-iid=OAFIID:TomboyApplet_Factory --oaf-ior-fd=37
andreas 6995 6811 0 15:21 pts/1 00:00:00 grep tomboy

Thankful for any further advice you may have.

The only thing I can think of that may have triggered this bug again, is that I recently rebooted (about an hour before the pop-ups started appearing). I rarely reboot.

Andreas Jonsson (sonofjon) wrote :

This bug occurs for me petty much every time I try to use Tomboy now. I'm thinking I have to try and reinitialize Tomboy on my system, so that I can access all my notes, without risk of loosing them (due to the deletion issue, see above).

I tried deleting .config/tomboy and restarting tomboy, but that didn't help. The bug keeps occurring. What else could I do to make my tomboy operate as in a fresh account?

You could delete all directories mentioned here (after backing up your notes):

http://live.gnome.org/Tomboy/Directories

Andreas Jonsson (sonofjon) wrote :

I'm just throwing this out there as an idea: My home is 98% full. Could that be the reason why tomboy keeps warning me about low disc space? If so, that doesn't make sense since those 2% free comprise about 1.5 GB.

user@xxx:~/.local/share/tomboy$ df -h /home
Filesystem Size Used Avail Use% Mounted on
/dev/sda6 57G 52G 1.5G 98% /home

Tomboy doesn't actually check to see if you're low on disk space. It just assumes that if it can't write to disk, then a likely culprit could be running out of disk space.

If you could post a complete log, that might be helpful. I just found a bug in Tomboy similar to this, and if I saw a complete tomboy log showing your error, it might help me track down your problem if it's similar to the one I just found.

Andreas Jonsson (sonofjon) wrote :

Tomboy has been working properly for the last few days, and I don't
know how to trigger the bug. I'll post a log as soon as it reappears.

On Mon, Apr 5, 2010 at 10:43 AM, Sandy Armstrong
<email address hidden> wrote:
> If you could post a complete log, that might be helpful.  I just found a
> bug in Tomboy similar to this, and if I saw a complete tomboy log
> showing your error, it might help me track down your problem if it's
> similar to the one I just found.
>
> --
> tomboy: error saving note data
> https://bugs.launchpad.net/bugs/513945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “tomboy” package in Ubuntu: New
>
> Bug description:
> Binary package hint: tomboy
>
> I'm running up-to-date Ubuntu Karmic. This bug started occurring a few days ago.
>
> Whenever I create a new or open an old note in tomboy, a pop-up error message warns:
>
> "Error saving note data. An error occurred while saving your notes. Please check that you have sufficient disk space...". See attached screenshot.
>
> I have plenty of free disk space so that shouldn't be a problem. A new error message pops up every minute or so, essentially making tomboy impossible to use.
>
> I have noticed in ~/.local/share/tomboy that notes are stored in a format typically looking like this:
>
> f52b0f81-b54a-4d44-8629-e72dc854a2d2.note
>
> but the note currently open (and causing the problem described above) will only have two two backup versions, one ending with "~" and on ending with ".tmp", e.g.
>
> f52b0f81-b54a-4d44-8629-e72dc854a2d2.note~
> f52b0f81-b54a-4d44-8629-e72dc854a2d2.note.tmp
>
> Over the past several days a few notes have been lost, simply disappeared from my system.
>
> Tomboy panel log (.config/tomboy/tomboy-panel.log) reports
>
> [ERROR]: Exception while saving note: System.IO.IOException: Sharing violation on path /home/user/.local/share/tomboy/a3e6005a-3897-43c6-a217-92781d572707.note
>  at System.IO.File.Move (System.String sourceFileName, System.String destFileName) [0x00000]
>  at Tomboy.NoteArchiver.WriteFile (System.String write_file, Tomboy.NoteData note) [0x00000]
>  at Tomboy.NoteArchiver.Write (System.String write_file, Tomboy.NoteData note) [0x00000]
>  at Tomboy.Note.Save () [0x00000]
>
> ProblemType: Bug
> Architecture: i386
> Date: Thu Jan 28 14:14:14 2010
> DistroRelease: Ubuntu 9.10
> Package: tomboy 1.0.0-0ubuntu2
> ProcEnviron:
>  PATH=(custom, user)
>  LANG=en_CA.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
> SourcePackage: tomboy
> Uname: Linux 2.6.31-17-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/tomboy/+bug/513945/+subscribe
>

Andreas Jonsson (sonofjon) wrote :

The bug has reappeard after some time of absense. I attach the complete error log, although it doesn't appear to contain any new information compared to what I included in my original post.

I will soon upgrade to Lucid Lynx, and I am hoping these problems will disappear after upgrade (I will do a clean install and import my old notes). I will post again if similar problems occur.

You might want to try upgrading to Tomboy 1.2.1, which should be available for Lucid. I fixed a bug like this in that release, and I'd like to know if the fix makes your problem go away.

Andreas Jonsson (sonofjon) wrote :

Sorry, I have already upgraded to Lucid. Fresh install. Tomboy works fine.

On Fri, Apr 30, 2010 at 9:46 AM, Sandy Armstrong
<email address hidden> wrote:
> You might want to try upgrading to Tomboy 1.2.1, which should be
> available for Lucid.  I fixed a bug like this in that release, and I'd
> like to know if the fix makes your problem go away.
>
> --
> tomboy: error saving note data
> https://bugs.launchpad.net/bugs/513945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “tomboy” package in Ubuntu: New
>
> Bug description:
> Binary package hint: tomboy
>
> I'm running up-to-date Ubuntu Karmic. This bug started occurring a few days ago.
>
> Whenever I create a new or open an old note in tomboy, a pop-up error message warns:
>
> "Error saving note data. An error occurred while saving your notes. Please check that you have sufficient disk space...". See attached screenshot.
>
> I have plenty of free disk space so that shouldn't be a problem. A new error message pops up every minute or so, essentially making tomboy impossible to use.
>
> I have noticed in ~/.local/share/tomboy that notes are stored in a format typically looking like this:
>
> f52b0f81-b54a-4d44-8629-e72dc854a2d2.note
>
> but the note currently open (and causing the problem described above) will only have two two backup versions, one ending with "~" and on ending with ".tmp", e.g.
>
> f52b0f81-b54a-4d44-8629-e72dc854a2d2.note~
> f52b0f81-b54a-4d44-8629-e72dc854a2d2.note.tmp
>
> Over the past several days a few notes have been lost, simply disappeared from my system.
>
> Tomboy panel log (.config/tomboy/tomboy-panel.log) reports
>
> [ERROR]: Exception while saving note: System.IO.IOException: Sharing violation on path /home/user/.local/share/tomboy/a3e6005a-3897-43c6-a217-92781d572707.note
>  at System.IO.File.Move (System.String sourceFileName, System.String destFileName) [0x00000]
>  at Tomboy.NoteArchiver.WriteFile (System.String write_file, Tomboy.NoteData note) [0x00000]
>  at Tomboy.NoteArchiver.Write (System.String write_file, Tomboy.NoteData note) [0x00000]
>  at Tomboy.Note.Save () [0x00000]
>
> ProblemType: Bug
> Architecture: i386
> Date: Thu Jan 28 14:14:14 2010
> DistroRelease: Ubuntu 9.10
> Package: tomboy 1.0.0-0ubuntu2
> ProcEnviron:
>  PATH=(custom, user)
>  LANG=en_CA.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
> SourcePackage: tomboy
> Uname: Linux 2.6.31-17-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/tomboy/+bug/513945/+subscribe
>

Andreas Jonsson (sonofjon) wrote :

This bug has not been present since Karmic, but it reappeared as soon as I upgraded to Oneiric. I am now getting the "Error saving note data..." pop-up on a daily basis.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in tomboy (Ubuntu):
status: New → Confirmed
Andreas Jonsson (sonofjon) wrote :
Download full text (3.2 KiB)

This is the log output that appears when I get the error popup:

.
.
.
[DEBUG 15:54:02.537] BackgroundSyncChecker: Detected that sync would be a good idea now
[DEBUG 15:54:02.644] SyncThread using SyncServiceAddin: Tomboy Web
[DEBUG 15:54:02.644] SilentUI: SyncStateChanged: Connecting
[DEBUG 15:54:02.923] SilentUI: SyncStateChanged: AcquiringLock
[DEBUG 15:54:02.923] Building web request for URL: https://one.ubuntu.com/notes/api/1.0/
[DEBUG 15:54:03.355] Building web request for URL: https://one.ubuntu.com/notes/api/1.0/user/
[DEBUG 15:54:04.541] 8
[DEBUG 15:54:04.541] SilentUI: SyncStateChanged: PrepareDownload
[DEBUG 15:54:04.541] Sync: GetNoteUpdatesSince rev 760
[DEBUG 15:54:04.541] Building web request for URL: https://one.ubuntu.com/notes/api/1.0/op/?include_notes=true&since=760
[DEBUG 15:54:05.806] Sync: 0 updates since rev 760
[DEBUG 15:54:05.807] Building web request for URL: https://one.ubuntu.com/notes/api/1.0/op/
[DEBUG 15:54:07.994] SilentUI: SyncStateChanged: PrepareUpload
[DEBUG 15:54:07.995] Saving 'Notes Clean Up'...
[DEBUG 15:54:07.995] Saving 'Notes Clean Up'...
[DEBUG 15:54:08.522] SilentUI: NoteSynchronized, Title: Notes Clean Up, Type: UploadModified
[DEBUG 15:54:08.523] Sync: Uploading 1 note updates
[DEBUG 15:54:08.523] SilentUI: SyncStateChanged: Uploading
[DEBUG 15:54:08.544] Building web request for URL: https://one.ubuntu.com/notes/api/1.0/op/
[ERROR 15:54:08.677] Exception while saving note: System.IO.IOException: Sharing violation on path /home/andreas/.local/share/tomboy/965900ba-ab15-4e67-8c8e-64b86e9fa9da.note.tmp
  at System.IO.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, Boolean anonymous, FileOptions options) [0x00000] in <filename unknown>:0
  at System.IO.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share) [0x00000] in <filename unknown>:0
  at (wrapper remoting-invoke-with-check) System.IO.FileStream:.ctor (string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare)
  at System.IO.StreamWriter..ctor (System.String path, Boolean append, System.Text.Encoding encoding, Int32 bufferSize) [0x00000] in <filename unknown>:0
  at System.IO.StreamWriter..ctor (System.String path, Boolean append, System.Text.Encoding encoding) [0x00000] in <filename unknown>:0
  at (wrapper remoting-invoke-with-check) System.IO.StreamWriter:.ctor (string,bool,System.Text.Encoding)
  at System.Xml.XmlWriter.Create (System.String file, System.Xml.XmlWriterSettings settings) [0x00000] in <filename unknown>:0
  at Tomboy.NoteArchiver.WriteFile (System.String write_file, Tomboy.NoteData note) [0x00000] in <filename unknown>:0
  at Tomboy.NoteArchiver.Write (System.String write_file, Tomboy.NoteData note) [0x00000] in <filename unknown>:0
  at Tomboy.Note.Save () [0x00000] in <filename unknown>:0
[DEBUG 15:54:09.262] Saving 'Ubuntu Oneiric Ocelot: Post-install'...
[DEBUG 15:54:12.093] SilentUI: SyncStateChanged: CommittingChanges
[DEBUG 15:54:12.093] Building web request for URL: https://one.ubuntu.com/notes/api/1.0/op/
[DEBUG 15:54:14.269] SilentUI: SyncStateChanged: Succeeded
[DEBUG 15:54:14.426] Sync: New revision: 761
[...

Read more...

Andreas Jonsson (sonofjon) wrote :

I also have another Tomboy bug: https://bugs.launchpad.net/ubuntu/+source/tomboy/+bug/890837. I am mentioning it since perhaps they could be related.

Ellis Rahhal (elrah) wrote :

I have also lost a note, only one though. But it was a very important one :-( I'm also getting the constant errors writing to disk after upgrading to Oeneric from Natty.

I'm having the same problem now. Oneiric. Lots of disk space, permissions look fine. Tomboy log attached. Suggestions?

Thanks!
Alan

LinuxN00b92 (altekrusejason) wrote :

I am having the same problem, I have plenty of disk space. Attached a log file, looks a lot like what has already been posted. Mostly just a bump post.

LinuxN00b92 (altekrusejason) wrote :

Tomboy has been crashing constantly, I'm going to have to install something else until it is fixed. Please someone find why this bug is happening!

I've been having similar crashes - just today it has happened three times.

This bug could also be related
https://bugs.launchpad.net/ubuntu/+source/tomboy/+bug/834247

BTW - I'm also using Ubuntu 11.10 64bit; Tomboy 1.8.0

Diogo Matsubara (matsubara) wrote :

I had a similar problem after the disk was full. Once the HD was full I started getting this message that Tomboy couldn't save the the note. I cleaned up some disk space and I keep getting the error message.
Attached is my tomboy.log

Diogo Matsubara (matsubara) wrote :

Oh, I forgot to mention, I'm running Precise and Tomboy 1.9.9

matsubara@tancho [~]$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu precise (development branch)
Release: 12.04
Codename: precise

Diogo Matsubara (matsubara) wrote :

Btw, I think I workarounded the problem by deleting the .tmp in ~/.local/share/tomboy. It seems tomboy is saving notes correctly now.

rs232 (vincenco) wrote :

I just had the same problem. I did have my disk fill with .xsession-errors up to 100%. I was getting this message over and over again. I just moved all the .tmp files out of the directory, and it seems to work fine now.

Kees van den Broek (kvdb-kvdb) wrote :

Some problem here (harddisk full, after regaining space, unable to save), but a slightly different error.

Running: tomboy (1.10.1-0ubuntu1) precise; urgency=low

[ERROR 17:22:54.022] Exception while saving note: System.IO.IOException: Invalid handle to path "/home/user/.local/share/tomboy/fb094aa4-6bbe-405b-9e60-c87ee6343d2b.note.tmp"
  at System.IO.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, Boolean anonymous, FileOptions options) [0x00000] in <filename unknown>:0
  at System.IO.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share) [0x00000] in <filename unknown>:0
  at (wrapper remoting-invoke-with-check) System.IO.FileStream:.ctor (string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare)
  at System.IO.StreamWriter..ctor (System.String path, Boolean append, System.Text.Encoding encoding, Int32 bufferSize) [0x00000] in <filename unknown>:0
  at System.IO.StreamWriter..ctor (System.String path, Boolean append, System.Text.Encoding encoding) [0x00000] in <filename unknown>:0
  at (wrapper remoting-invoke-with-check) System.IO.StreamWriter:.ctor (string,bool,System.Text.Encoding)
  at System.Xml.XmlWriter.Create (System.String file, System.Xml.XmlWriterSettings settings) [0x00000] in <filename unknown>:0
  at Tomboy.NoteArchiver.WriteFile (System.String write_file, Tomboy.NoteData note) [0x00000] in <filename unknown>:0
  at Tomboy.NoteArchiver.Write (System.String write_file, Tomboy.NoteData note) [0x00000] in <filename unknown>:0
  at Tomboy.Note.Save () [0x00000] in <filename unknown>:0

Suggested workaround fixed issue for me too:
rm ~/.local/share/tomboy/*.tmp

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers